org.apache.xml.serialize

## Class Method

- java.lang.Object
- - org.apache.xml.serialize.Method

Deprecated.
This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

    public final class Method
    extends java.lang.Object

Version:
  $Revision: 476047 $ $Date: 2006-11-16 23:27:45 -0500 (Thu, 16 Nov 2006) $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

### Field Summary

Fields
`static java.lang.String` `FOP` Deprecated. The output method for FO documents as PDF.
`static java.lang.String` `HTML` Deprecated. The output method for HTML documents.
`static java.lang.String` `TEXT` Deprecated. The output method for text documents.
`static java.lang.String` `XHTML` Deprecated. The output method for HTML documents as XHTML.
`static java.lang.String` `XML` Deprecated. The output method for XML documents.

### Constructor Summary

Constructors
Constructor and Description
`Method()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XML

    public static final java.lang.String XML

Deprecated.
The output method for XML documents.

See Also:
  Constant Field Values

#### HTML

    public static final java.lang.String HTML

Deprecated.
The output method for HTML documents.

See Also:
  Constant Field Values

#### XHTML

    public static final java.lang.String XHTML

Deprecated.
The output method for HTML documents as XHTML.

See Also:
  Constant Field Values

#### TEXT

    public static final java.lang.String TEXT

Deprecated.
The output method for text documents.

See Also:
  Constant Field Values

#### FOP

    public static final java.lang.String FOP

Deprecated.
The output method for FO documents as PDF.

See Also:
  Constant Field Values

### Constructor Detail

#### Method

    public Method()

Deprecated.